PROGRAM="dinstall_reboot"
# where do we want mails to go? For example log entries made with error()
-if [ "x$(hostname -s)x" != "xriesx" ]; then
+if [ "x$(hostname -s)x" != "xfranckx" ]; then
# Not our ftpmaster host
MAILTO=${MAILTO:-"root"}
else
# Do git cleanup stuff
echo "Doing git stuff"
-cd /org/ftp.debian.org/git/dak.git
+cd /srv/ftp-master.debian.org/git/dak.git
git gc --prune
git update-server-info
# now workaround a git bug not honoring the setup in logs/*
# Update wanna-build dump
echo "Update wanna-build database dump"
-/org/ftp.debian.org/scripts/nfu/get-w-b-db
+/srv/ftp-master.debian.org/scripts/nfu/get-w-b-db
echo "Fixing symlinks in $ftpdir"
symlinks -d -r $ftpdir
esac
# This must end with /
-TARGET="/srv/ftp.debian.org/ftp/dists/$SUITE/main/installer-$ARCH/"
+TARGET="/srv/ftp-master.debian.org/ftp/dists/$SUITE/main/installer-$ARCH/"
# Check validity of the target directory
# This could fail, for example for new architectures; doing
# Make sure nothing symlinks outside of the ftpdir
# Shouldnt happen, but better be sure.
-symlinks -d -r /srv/ftp.debian.org/ftp
+symlinks -d -r /srv/ftp-master.debian.org/ftp
trap - EXIT
cleanup
#!/bin/sh -ue
-export SCRIPTVARS=/srv/ftp.debian.org/dak/config/debian/vars
+export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
. $SCRIPTVARS
# Tarball to read, compressed with gzip
CHECKRE='^[a-z0-9A-Z.+-]+[[:space:]]+Tag[[:space:]]+[a-z0-9:. ,{}+-]+$'
# This must end with /
-TARGET=/srv/ftp.debian.org/scripts/external-overrides/
+TARGET=/srv/ftp-master.debian.org/scripts/external-overrides/
# Read the main directory from the tarball
DIR="`tar ztf \"$INPUT\" | tac | tail -n 1`"
exit 1
fi
-export SCRIPTVARS=/srv/ftp.debian.org/dak/config/debian/vars
+export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
. $SCRIPTVARS
INPUT="$1" # Tarball to read, compressed with gzip
CHECKRE='^[a-z0-9A-Z.+-]+[[:space:]]+Task[[:space:]]+[a-z0-9:. ,{}+-]+$'
# This must end with /
-TARGET=/srv/ftp.debian.org/scripts/external-overrides/
+TARGET=/srv/ftp-master.debian.org/scripts/external-overrides/
# Read the main directory from the tarball
DIR="`tar ztf \"$INPUT\" | tac | tail -n 1`"
legend(par("usr")[1]+xinch(5),par("usr")[4]-yinch(0.1),legend=colnames(t),
ncol=3,fill=1:15,xjust=1,yjust=1)
}
-t <- (read.table("/org/ftp.debian.org/misc/ftpstats.data",sep=",",header=0,row.names=1,col.names=cname))/1024/1024
+t <- (read.table("/srv/ftp-master.debian.org/misc/ftpstats.data",sep=",",header=0,row.names=1,col.names=cname))/1024/1024
v <- t[(length(t$all)-90):(length(t$all)),1:15]
#plotsize("/org/ftp.debian.org/web/size.png","Daily dinstall run size by arch",t)
-plotsize("/org/ftp.debian.org/web/size-quarter.png","Daily dinstall run size by arch (past quarter)",v)
+plotsize("/srv/ftp-master.debian.org/web/size-quarter.png","Daily dinstall run size by arch (past quarter)",v)
# Original written from Jeroen van Wolffelaar <jeroen@debian.org>
set -e
-export SCRIPTVARS=/srv/ftp.debian.org/dak/config/debian/vars
+export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
. $SCRIPTVARS
export PAGER=cat
set -e
# Load up some standard variables
-export SCRIPTVARS=/srv/ftp.debian.org/dak/config/debian/vars
+export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
. $SCRIPTVARS
# What file we look at.
# grep -Ev '^[a-z0-9A-Z.+-]+\ Task [a-z0-9:. ,+-]+$' task*
x="build-essential tag task"
-opath="/org/ftp.debian.org/scripts/override"
-apath="/org/ftp.debian.org/ftp/dists"
+opath="/srv/ftp-master.debian.org/scripts/override"
+apath="/srv/ftp-master.debian.org/ftp/dists"
if [ ! -d "$apath" ]; then
echo "$0: invalid path to archive" >&2
# the WB_DB_DIR enviroment variable
if [ -z "$WB_DB_DIR" ]
then
- WB_DB_DIR=/srv/ftp.debian.org/scripts/nfu
+ WB_DB_DIR=/srv/ftp-master.debian.org/scripts/nfu
fi
cd $WB_DB_DIR || { echo "Failed to cd to $WB_DB_DIR" ; exit 1 ;}
use POSIX qw(strftime);
use CGI qw/:standard/;
-open REMOVALS, "</srv/ftp.debian.org/web/removals.txt";
+open REMOVALS, "</srv/ftp-master.debian.org/web/removals.txt";
my @removals;